
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLStr. See IDLByte.cc
//
// jhrg 9/25/96

#ifdef __GNUG__
#pragma implementation
#endif

#include "config_idl.h"

#include <string.h>

#include <string>

#include "InternalErr.h"
#include "IDLStr.h"

Str *
NewStr(const string &n)
{
    return new IDLStr(n);
}

IDLStr::IDLStr(const string &n) : Str(n)
{
}

BaseType *
IDLStr::ptr_duplicate()
{
    return new IDLStr(*this);
}

bool
IDLStr::read(const string &)
{
  throw InternalErr(__FILE__, __LINE__, "Called unimplemented read method");
}

// $Log: IDLStr.cc,v $
// Revision 1.3  2000/10/03 23:40:08  jimg
// Moved the CVS Log entries to the end of the files.
// Changed the read() mfuncs so that they match the definition in the
// dap++ library.
// Removed lots of dead code.
//
// Revision 1.2  1999/11/09 05:57:12  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:31  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

